Bug 8992 - Add an interfacing with the idref webservice
Summary: Add an interfacing with the idref webservice
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14124
  Show dependency treegraph
 
Reported: 2012-10-31 10:08 UTC by Jonathan Druart
Modified: 2016-12-05 21:23 UTC (History)
13 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this: 2013-10-28 00:00:00
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8992: Interfacing with the Idref webservice (30.29 KB, patch)
2012-10-31 12:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (31.63 KB, patch)
2012-10-31 14:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (14.66 KB, patch)
2013-09-16 12:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (14.66 KB, patch)
2013-09-18 12:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (14.65 KB, patch)
2013-09-30 07:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (14.69 KB, patch)
2014-02-18 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (14.73 KB, patch)
2014-02-18 08:54 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice - bootstrap theme (3.95 KB, patch)
2014-02-18 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice - bootstrap theme (4.00 KB, patch)
2014-02-18 21:33 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8992: qa-followup: replace given/when with if/elsif (1.67 KB, patch)
2014-04-11 09:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Fix index name Identifier-standard (2.12 KB, patch)
2014-04-11 09:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Update DOM xsl file for new indexes (4.37 KB, patch)
2014-04-11 09:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (10.20 KB, patch)
2014-04-23 11:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: DB changes - add the IdRef syspref (2.93 KB, patch)
2014-04-23 11:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Add 7..$3 to the Indentifier-standard index (6.20 KB, patch)
2014-04-23 11:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: XSLT changes (2.54 KB, patch)
2014-04-23 11:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Add greybox files for bootstrap (553.66 KB, patch)
2014-06-19 12:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (10.37 KB, patch)
2014-06-23 11:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 8992: DB changes - add the IdRef syspref (3.08 KB, patch)
2014-06-23 11:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 8992: Add 7..$3 to the Indentifier-standard index (6.37 KB, patch)
2014-06-23 11:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 8992: XSLT changes (2.69 KB, patch)
2014-06-23 11:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 8992: Add greybox files for bootstrap (553.83 KB, patch)
2014-06-23 11:51 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 8992: Use the existing greybox plugin in interface/theme (1.55 KB, patch)
2014-08-18 09:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Add the greybox include file for the bootstrap theme (1.17 KB, patch)
2014-10-10 02:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (10.35 KB, patch)
2015-01-07 14:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: DB changes - add the IdRef syspref (3.03 KB, patch)
2015-01-07 14:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: Add 7..$3 to the Indentifier-standard index (6.32 KB, patch)
2015-01-07 14:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: XSLT changes (2.66 KB, patch)
2015-01-07 14:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: Use the existing greybox plugin in interface/theme (1.58 KB, patch)
2015-01-07 14:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: Add the greybox include file for the bootstrap theme (1.23 KB, patch)
2015-01-07 14:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: Add 7..$3 to the Indentifier-standard index (9.29 KB, patch)
2015-01-07 15:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8992: Interfacing with the Idref webservice (10.41 KB, patch)
2015-01-07 15:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: DB changes - add the IdRef syspref (3.09 KB, patch)
2015-01-07 15:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: XSLT changes (2.72 KB, patch)
2015-01-07 15:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: Use the existing greybox plugin in interface/theme (1.64 KB, patch)
2015-01-07 15:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: Add the greybox include file for the bootstrap theme (1.28 KB, patch)
2015-01-07 15:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 8992: Add 7..$3 to the Indentifier-standard index (9.40 KB, patch)
2015-01-07 15:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Revert "Bug 8992: Use the existing greybox plugin in interface/theme" (1.61 KB, patch)
2015-04-29 07:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
idref_roles (21.64 KB, image/png)
2015-05-27 08:02 UTC, Jonathan Druart
Details
idref_detail (31.86 KB, image/png)
2015-05-27 08:02 UTC, Jonathan Druart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2012-10-31 10:08:59 UTC
Idref allows to request and visit authorities in the sudoc database.
In Koha, it would be possible to have a link in the opac pointing to the idref information.
Comment 1 Jonathan Druart 2012-10-31 12:42:20 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-10-31 12:46:27 UTC
(In reply to comment #1)
> Created attachment 13134 [details] [review]
> Bug 8992: Interfacing with the Idref webservice
> 
> On the detail page (in the opac), if the biblio comes from the Sudoc,
> you must have a link (on the right of the author link) which open a popup
> with
> informations about this author (publications by role).
> 
> To test:
> 
> 1/ Modify your zebra conf in order to index the ppn:
>   ccl.properties:
>     Identifier-standard 1=1007 4=6
>     ident Identifier-standard
> 
> record.abs: (biblios)
>     melm 009 Identifier-standard:w,Number-standard:n

Wouldn't it be much better to include the necessary changes in your patch?
Comment 3 Jonathan Druart 2012-10-31 14:18:14 UTC
(In reply to comment #2)

> Wouldn't it be much better to include the necessary changes in your patch?

Yes, of course.
I will propose a new patch
Comment 4 Jonathan Druart 2012-10-31 14:19:40 UTC Comment hidden (obsolete)
Comment 5 claire.hernandez@biblibre.com 2012-11-07 13:30:48 UTC
We are currently working on this patch, please do not consider this submission for the moment
Comment 6 Galen Charlton 2013-08-12 16:41:45 UTC
(In reply to claire.hernandez@biblibre.com from comment #5)
> We are currently working on this patch, please do not consider this
> submission for the moment

Any updates?
Comment 7 Jonathan Druart 2013-09-16 12:20:07 UTC Comment hidden (obsolete)
Comment 8 I'm just a bot 2013-09-18 10:39:54 UTC
Applying: Bug 8992: Interfacing with the Idref webservice
Using index info to reconstruct a base tree...
M	installer/data/mysql/updatedatabase.pl
Falling back to patching base and 3-way merge...
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Patch failed at 0001 Bug 8992: Interfacing with the Idref webservice
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 9 Jonathan Druart 2013-09-18 12:05:27 UTC Comment hidden (obsolete)
Comment 10 I'm just a bot 2013-09-29 06:05:06 UTC
Applying: Bug 8992: Interfacing with the Idref webservice
Using index info to reconstruct a base tree...
M	installer/data/mysql/updatedatabase.pl
M	koha-tmpl/opac-tmpl/prog/en/css/opac.css
M	opac/opac-detail.pl
Falling back to patching base and 3-way merge...
Auto-merging opac/opac-detail.pl
Auto-merging koha-tmpl/opac-tmpl/prog/en/css/opac.css
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/prog/en/css/opac.css
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Patch failed at 0001 Bug 8992: Interfacing with the Idref webservice
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 11 Jonathan Druart 2013-09-30 07:54:16 UTC Comment hidden (obsolete)
Comment 12 I'm just a bot 2013-10-28 06:12:17 UTC
Patch applied cleanly, go forth and signoff
Comment 13 Chris Cormack 2014-02-18 06:05:18 UTC
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/prog/en/css/opac.css
Comment 14 Jonathan Druart 2014-02-18 08:45:05 UTC Comment hidden (obsolete)
Comment 15 Chris Cormack 2014-02-18 08:54:08 UTC Comment hidden (obsolete)
Comment 16 Chris Cormack 2014-02-18 08:55:20 UTC
This seems to work, but we will need patches for the bootstrap theme
Comment 17 Jonathan Druart 2014-02-18 09:51:29 UTC Comment hidden (obsolete)
Comment 18 Chris Cormack 2014-02-18 21:33:02 UTC Comment hidden (obsolete)
Comment 19 Marcel de Rooy 2014-03-12 13:14:55 UTC
Just a comment to begin with:
Glancing through the code, I came across a hardcoded URL in a perl script (is it really needed there), I saw css changes without less (no bootstrap?), and saw a given/when construction. Also it appears to add indexes to GRS1 and not to DOM. My impression is that we are not complete yet. Is that correct?
Comment 20 Jonathan Druart 2014-04-11 09:39:44 UTC Comment hidden (obsolete)
Comment 21 Jonathan Druart 2014-04-11 09:39:49 UTC Comment hidden (obsolete)
Comment 22 Jonathan Druart 2014-04-11 09:39:55 UTC Comment hidden (obsolete)
Comment 23 Jonathan Druart 2014-04-11 09:42:22 UTC
(In reply to M. de Rooy from comment #19)
> I saw css changes without less (no bootstrap?),

There is no change in css file for the bootstrap theme.

> and saw a given/when construction.

Fixed


> Also it appears to add indexes to GRS1 and not to DOM.

Fixed

> My impression is that we are not complete yet. Is that correct?

More or less, 18 months ago, the workflow for patches integration was more flexible :)
Comment 24 Katrin Fischer 2014-04-20 13:02:03 UTC
Some notes from a code review, looking at all 5 patches together:

1) opac/opac-idref.pl is missing the license information on top of the file.

2) Should this be a FIXME or even be removed? It seems the code as currently implements, is UNIMARC + Sudoc only.
+                else {
+                    # unimarcCode and marc21Code

3) Patch only changes the the non-XSLT default view. Please add it to the XSLT as well or update the pref description so that this won't cause confusion.

4) Changes to the bootstrap theme doesn't seem to include the opac-detail.tt page? Maybe it got lost in rebase?

4) Why not do a more specific search using Identifier-standard? It seems the index is updated, but then never used in the new code?
<a href="/cgi-bin/koha/opac-search.pl?q=kw,phr=[% doc.ppn %]" target="_blank">Koha</a></td>

5) Please add some explanatory note or link to the system preference description, so people will know what this feature is about and that it is only useful for UNIMARC SUDOC libraries.

+                yes: Enable
+                no: Disable
+            - the IdRef webservice from the opac detail page

6) Note: The datatables code seems duplicated in various files - should this be an include? I feel like it is in staff, but maybe not available for the OPAC yet?
Comment 25 Katrin Fischer 2014-04-20 13:29:45 UTC
7) Hm, also seems to miss sysprefs.sql.
Comment 26 Jonathan Druart 2014-04-23 11:37:54 UTC Comment hidden (obsolete)
Comment 27 Jonathan Druart 2014-04-23 11:40:20 UTC Comment hidden (obsolete)
Comment 28 Jonathan Druart 2014-04-23 11:40:25 UTC Comment hidden (obsolete)
Comment 29 Jonathan Druart 2014-04-23 11:40:29 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2014-04-23 11:41:03 UTC
Katrin,
All 7 points are taken into account in new patches.
I removed the support for the prog theme too.

There is just one small thing I did not manage to fix: the popup does not apply style to the table.

Back to Needs Signoff.
Comment 31 Jonathan Druart 2014-06-19 12:42:16 UTC Comment hidden (obsolete)
Comment 32 Koha Team Lyon 3 2014-06-23 11:47:47 UTC
I followed the test plan. It works well.
It could be nice not to display the koha links when no records are registred in our database.
Comment 33 sandboxes@biblibre.com 2014-06-23 11:49:44 UTC
Patch tested with a sandbox, by valérie bertrand <valerie.bertrand@univ-lyon3.fr>
Comment 34 sandboxes@biblibre.com 2014-06-23 11:50:48 UTC Comment hidden (obsolete)
Comment 35 sandboxes@biblibre.com 2014-06-23 11:50:51 UTC Comment hidden (obsolete)
Comment 36 sandboxes@biblibre.com 2014-06-23 11:50:55 UTC Comment hidden (obsolete)
Comment 37 sandboxes@biblibre.com 2014-06-23 11:50:58 UTC Comment hidden (obsolete)
Comment 38 sandboxes@biblibre.com 2014-06-23 11:51:05 UTC Comment hidden (obsolete)
Comment 39 Katrin Fischer 2014-08-04 22:05:03 UTC
This seems to add a complete new Javascript library for a very specific UNIMARC centric feature, I am worried by that - also the version of the library seems outdated. My feeling is that we should stick with jQuery, not doing too many different things. Owen and others, could I get your opinion on this please?
Comment 40 Katrin Fischer 2014-08-04 22:08:43 UTC
Hm, is it possible the library was submitted by accident? Older versions of the patch don't seem to include it.
Comment 41 Marcel de Rooy 2014-08-05 09:36:07 UTC
(In reply to Katrin Fischer from comment #39)
> This seems to add a complete new Javascript library for a very specific
> UNIMARC centric feature, I am worried by that - also the version of the
> library seems outdated. My feeling is that we should stick with jQuery, not
> doing too many different things. Owen and others, could I get your opinion
> on this please?

+1
Comment 42 Owen Leonard 2014-08-05 13:36:08 UTC
(In reply to Katrin Fischer from comment #39)
> My feeling is that we should stick with jQuery, not
> doing too many different things.

Bootstrap includes a modal dialog feature. Can this feature use that?

http://getbootstrap.com/2.3.2/javascript.html#modals
Comment 43 Jonathan Druart 2014-08-18 09:26:36 UTC Comment hidden (obsolete)
Comment 44 Jonathan Druart 2014-08-18 09:28:00 UTC
(In reply to Katrin Fischer from comment #40)
> Hm, is it possible the library was submitted by accident? Older versions of
> the patch don't seem to include it.

Sorry, I c/p the files in the interface directory and didn't remove them from the old directory.
The last patch uses the existing files without moving them.
Comment 45 Katrin Fischer 2014-10-09 23:14:25 UTC
The QA script is pointing out a problem:

 FAIL	koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
   OK	  forbidden patterns
   OK	  tt_valid
   FAIL	  valid_template
		greybox.inc: not found
Comment 46 Jonathan Druart 2014-10-10 02:12:50 UTC Comment hidden (obsolete)
Comment 47 Marcel de Rooy 2014-12-17 15:49:31 UTC
I am having various encoding related problems with applying this patch set.
Looks like it is related to latin accented chars in the commit messages and my version of git/git bz.
Comment 48 Jonathan Druart 2014-12-17 15:55:14 UTC
(In reply to M. de Rooy from comment #47)
> I am having various encoding related problems with applying this patch set.
> Looks like it is related to latin accented chars in the commit messages and
> my version of git/git bz.

Try without the -e option.
Comment 49 Marcel de Rooy 2015-01-07 13:25:15 UTC
(In reply to Jonathan Druart from comment #48)
> (In reply to M. de Rooy from comment #47)
> > I am having various encoding related problems with applying this patch set.
> > Looks like it is related to latin accented chars in the commit messages and
> > my version of git/git bz.
> 
> Try without the -e option.

Looks like replacing the é of Valérie to e is still the best option by far..
Sorry, Valerie.
Comment 50 Marcel de Rooy 2015-01-07 14:50:41 UTC Comment hidden (obsolete)
Comment 51 Marcel de Rooy 2015-01-07 14:50:46 UTC Comment hidden (obsolete)
Comment 52 Marcel de Rooy 2015-01-07 14:50:51 UTC Comment hidden (obsolete)
Comment 53 Marcel de Rooy 2015-01-07 14:50:55 UTC Comment hidden (obsolete)
Comment 54 Marcel de Rooy 2015-01-07 14:50:59 UTC Comment hidden (obsolete)
Comment 55 Marcel de Rooy 2015-01-07 14:51:03 UTC Comment hidden (obsolete)
Comment 56 Marcel de Rooy 2015-01-07 14:52:55 UTC
QA Comment:

Warning: commit message does not conform to UTF-8.
I replaced the é in Valérie.
Some/most combinations of git/git-bz still do not like non-ASCII commit messages.
I rebased the second patch for updatedatabase.

No complaints from qa tools. Code looks good (remarks below).
I have mainly 'dry-tested' this patch set; I did not manage to get my unimarc test db in the right condition within reasonable time. Note that opac-idref.pl can be tested more or less separately.

1st patch: css in template file (no blocker)
3rd patch:
     <xslo:for-each select="marc:subfield">
+      <xslo:if test="contains('3', @code)">
+        <z:index name="Identifier-standard:w">
+          <xslo:value-of select="."/>
+        </z:index>
+      </xslo:if>
+    </xslo:for-each>
+    <xslo:for-each select="marc:subfield">
This does not look good to me. The for-each is repeated now.
Same holds for 701, 702, 710, 711, 712
Note that you update biblio-zebra-indexdefs.xsl. But biblio-zebra-indexdefs.xsl should be automatically generated from a Koha index definition file with koha-indexdefs-to-zebra.xsl.
Could you please add changes to biblio-koha-indexdefs and then run the xsl to create biblio-zebra-indexdefs.xsl ?

Status to Failed QA for now.
Comment 57 Jonathan Druart 2015-01-07 15:13:42 UTC Comment hidden (obsolete)
Comment 58 Jonathan Druart 2015-01-07 15:14:39 UTC
(In reply to M. de Rooy from comment #56)
> Could you please add changes to biblio-koha-indexdefs and then run the xsl
> to create biblio-zebra-indexdefs.xsl ?

It seems I forgot to commit the changes to the xml file.
Thanks for catching that!
Comment 59 Marcel de Rooy 2015-01-07 15:58:24 UTC
Will not block this patch, just want to note this:
Field 009 has been superseded by new UNIMARC field 035 ?
Comment 60 Marcel de Rooy 2015-01-07 15:59:32 UTC
Created attachment 35022 [details] [review]
Bug 8992: Interfacing with the Idref webservice

On the detail page (in the opac), if the biblio comes from the Sudoc,
you must have a link (on the right of the author link) which open a popup with
informations about this author (publications by role).

To test:

1/ Switch on the Idref system preference

2/ Simulate a SUDOC record:
  Fill a 7..$3 field with a ppn (032581270 for example).
  Fill the 009 field with an integer

3/ Go to the opac detail page of this notice.
You should see the IDREF link.
If you click on it, a popup displays a loading icon and after a few
seconds (depending of the productivity of the authority :)), a list of
roles. For each role, a table displays all his corresponding publications.

4/ On the right, you have 2 links: 1 for a koha search for this result
and 1 for a SUDOC link

Signed-off-by: valerie bertrand <valerie.bertrand@univ-lyon3.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 61 Marcel de Rooy 2015-01-07 15:59:37 UTC
Created attachment 35023 [details] [review]
Bug 8992: DB changes - add the IdRef syspref

Signed-off-by: valerie bertrand <valerie.bertrand@univ-lyon3.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 62 Marcel de Rooy 2015-01-07 15:59:42 UTC
Created attachment 35024 [details] [review]
Bug 8992: XSLT changes

This patch add the same behavior as previous patches for the xslt view.

Signed-off-by: valerie bertrand <valerie.bertrand@univ-lyon3.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 63 Marcel de Rooy 2015-01-07 15:59:47 UTC
Created attachment 35025 [details] [review]
Bug 8992: Use the existing greybox plugin in interface/theme

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 64 Marcel de Rooy 2015-01-07 15:59:52 UTC
Created attachment 35026 [details] [review]
Bug 8992: Add the greybox include file for the bootstrap theme

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 65 Marcel de Rooy 2015-01-07 15:59:57 UTC
Created attachment 35027 [details] [review]
Bug 8992: Add 7..$3 to the Indentifier-standard index

Signed-off-by: valerie bertrand <valerie.bertrand@univ-lyon3.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 66 Jonathan Druart 2015-01-08 12:01:06 UTC
(In reply to M. de Rooy from comment #59)
> Will not block this patch, just want to note this:
> Field 009 has been superseded by new UNIMARC field 035 ?

At BibLibre, we store the ppn in 009.
If someone else uses this feature and wants to use another field, it will be possible to make this field configurable.
Comment 67 Tomás Cohen Arazi 2015-04-28 19:49:29 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 68 Jonathan Druart 2015-04-29 07:36:36 UTC
Created attachment 38639 [details] [review]
Revert "Bug 8992: Use the existing greybox plugin in interface/theme"

This reverts commit 986b03e1c602b057275e343e3251a5cfbcc7cca6.

Tomas, due to bug 12101, this commit should be reverted.
Comment 69 Tomás Cohen Arazi 2015-04-29 15:18:06 UTC
Good catch Jonathan.
Comment 70 Nicole C. Engard 2015-05-06 16:49:39 UTC
I'm documenting this now and want to ask what sudoc we're talking about. In the US Sudoc is a government  document number - I assume we're talking about a French example. Is this unimarc only? If not can you attach a marc record for me to import to my test system and document this feature with?

Nicole
Comment 71 Nicole C. Engard 2015-05-06 16:56:32 UTC
Tomás says it's unimarc + french specific - so I'm wondering if I could have some screenshots and a bit of documentation for the manual on this one.
Comment 72 Nicole C. Engard 2015-05-21 18:55:50 UTC
Checking in on this - can someone help me a bit with documentation on this? I don't have much more before I'm done with the 3.20 manual.
Comment 73 Jonathan Druart 2015-05-27 08:01:37 UTC
Nicole,
IdRef is a French service for Sudoc autorities.
Using the Sudoc database, it allows to request / modify / add authorities.

If a record comes from the Sudoc (so 009 is filled with an integer), at the OPAC you will see "Author: Idref" if a 7..$3 (unimarc author) if filled with a ppn.
On clicking on the Idref link, a popup will display. The Idref  webservice is requested and all records (by roles) for this author will be displayed (see screenshot).
There is 1 line / record and 2 links at the end. 1 will request Koha (cgi-bin/koha/opac-search.pl?q=ident:003381862), the other one will redirect to the sudoc page (http://www.sudoc.fr/003381862).
Comment 74 Jonathan Druart 2015-05-27 08:02:25 UTC
Created attachment 39564 [details]
idref_roles
Comment 75 Jonathan Druart 2015-05-27 08:02:48 UTC
Created attachment 39565 [details]
idref_detail
Comment 76 Nicole C. Engard 2015-05-29 15:15:48 UTC
I just saw the images now, but here's the manual so far: http://translate.koha-community.org/manual/master/en/html-desktop/#idref will add the images in now.

Nicole